/* ESTILO GERAL */
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
font-family: 'Titillium Web', sans-serif;

}
body {
    background-color: #000;
    height: 100vh;
}

main {
    border-radius: 10px;
    min-width: 200px;
    max-width: 1280px;
    margin: auto;
}

.interface {
    max-width: 1280px;
    margin: 0 auto;

}
.flex {
    display: flex;
}

.btn-contato button {
    padding: 10px 40px;
    font-size: 20px;
    font-weight: 600;
    background-color: #985eed;
    border: 0;
    border-radius: 20px;
    cursor: pointer;
    transition: .1s;
}

h2.titulo {
    color:#fff;
    font-size: 35px;
    text-align: center;
}
h2.titulo span {
    color:#985eed ;
}

button:hover, form .btn-eviar input:hover {
    box-shadow: 0px 0px 8px #783ecf;
    transform: scale(1.0);
}

/* ESTILO DO CABEÇALHO*/

header {
    padding: 40px 4%; 

}
header > .interface {
    display: flex;
    align-items: center;
    justify-content: space-between;

}

header a {
    color: #7d7d7d;
    text-decoration: none;
    display: inline-block;
    transition: .2s;
}
header nav.menu-desktop a:hover{
    color: #ffff;
    transform: scale(1.6);

}
header nav ul{
    list-style-type:none;
}
header nav.menu-desktop ul li{
    display: inline-block;
    padding: 0 40px;

}

.overlay-menu {
    background-color: #000000af;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 88888;
    display: none;
}

/* ESTILO DO MENU MOBILE */


.btn-abrir-menu i {
    color: #3a1374;
    font-size: 40px;
}

.menu-mobile {
    background: color #000;
    height: 100vh;
    position: fixed;
    top: 0;
    right: 0;
    z-index: 99999;
    width: 0%;
    overflow: hidden;
    transition: .3s;
}

.menu-mobile.abrir-menu {
    width: 70%;
}

.menu-mobile.abrir-menu ~ .overlay-menu {
    display: block;
}

.menu-mobile .btn-fechar {
    padding: 20px 4%;
}

.menu-mobile .btn-fechar i {
    color: #3a1374;
    font-size: 30px;
}

.menu-mobile nav ul {
    text-align: right;

}

.menu-mobile nav ul li a {
    color: white;
    font-size: 20px;
    font-weight: 300;
    padding: 20px 8%;
    display: block;
}

.menu-mobile nav ul li a:hover {
    background-color: #3a1374;
    color: #000;

}
/*ESTILO DO TOPO DO SITE*/
section.topo-do-site {
    padding: 40px 4%;
}


section.topo-do-site .flex {
    align-items: center;
    justify-content: center;
    gap: 90px;
}
.topo-do-site h1 {
    color: #fff;
    font-size: 42px;
    line-height: 40px;
}
.topo-do-site .txt-topo-site h1 span {
    color:#985eed;
    font-size: 84px;
}
.topo-do-site .txt-topo-site p {
    color: #fff;
    margin: 40px 0%;
}

.topo-do-site .img-topo-site img {
    position: relative;
    animation: flutuar 2s ease-in-out infinite alternate;

}

@keyframes flutuar {
    0%{
        top: 0;
    }
    100%{
        top: 30px;
    }
}

/*ESTILO DAS ESPECIALIDADES*/
section.especialidades {
    padding: 40px 4%;

}
section.especialidades .flex {
    gap: 40px;
}

.especialidades .especialidades-box {
    color: #fff;
    padding: 40px;
    border-radius: 20px;
    margin-top: 45px;
    transition: .2s;
}

.especialidades .especialidades-box:hover {
    transform: scale(1.05);
    box-shadow: 0 0 20px #ffffff63;

}
.especialidades .especialidades-box i {
    font-size: 70px;
    color: #985eed;
}

.especialidades .especialidades-box h3 {
    font-size: 28px;
}

/* COR DO H1 TITULO E TEXTO.*/


/* COR DO H1 TITULO E TEXTO.*/

/*ESTILO DO SOBRE*/

section.sobre {
    padding: 40px 4%;
}
section.sobre .flex {
    align-items: center;
    gap: 60px;
}

.sobre .txt-sobre {
    color: #fff;

}

.sobre .txt-sobre h2 {
    font-size: 40px;
    line-height: 40px;
    margin-bottom: 30px;
}
.sobre .txt-sobre h2 span {
    color: #985eed;
    display: block;

}
.sobre .txt-sobre p {
    margin: 20px 0;
    text-align: justify;

}
 .btn-social button {
    width: 60px;
    height: 60px;
    border-radius: 50%;
    border: none;
    background-color: #985eed;
    font-size: 22px;
    cursor: pointer;
    margin: 0 05px;
    transition: .2s;
}
/* ESTILO DO PORTFOLIO */
section.portfolio {
    padding: 80px 4%;
    box-shadow: 0 0 40px 10px #ffffff1d;
    border-radius: 20px;
    text-align: center;
}

section.portfolio .flex {
    justify-content: space-around;
    margin-top: 60px;
    
}

.img-port {
    width: 360px;
    height: 460px;
    background-size: cover;
   background-position: 100% 0%;
   transition: 8s;
    cursor: pointer;
    border-radius: 40px;
    position: relative;
    
  
}

.img-port:hover {
    background-position: 100% 100%;
}

.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #3a1374;
    border-radius: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 24px;
    font-weight: 600;
    color: #fff;
    opacity: 0;
    transition: .5s;

}
.overlay:hover {
    opacity: 1;

}

/*ESTILO DO FORMULÁRIO DE CONTATO*/
section.formulario {
    padding: 80px 4%;
    

}

form {
    max-width: 500px;
    text-align: center;
    margin: 0 auto;
    display: flex;
    justify-content: center;
    flex-direction: column;
    gap: 10px;
    margin-top: 40px;

}

form input, form textarea {
    width: 100%;
    background-color:#c7c4c4;
    border: 0;
    outline: 0;
    padding: 20px 15px;
    border-radius:20px;
    color: #fff;
    font: 18px;
    

}



form textarea {
    resize: none;
    max-height: 150px;
}
form .btn-eviar {
    margin-top: 20px;
    text-align: center;
}

form .btn-eviar input {
    width: 120px;
    background-color: #985eed;
    color: #000;
    cursor: pointer;
    text-align: center;
    transition: .2s;

}

/*ESTILO DO RODAPÉ*/

footer {
    padding: 60px 4%;
    border-radius: 20px;
    box-shadow: 0 0 40px 10px #ffffff1d;
    
    
}

footer .flex {
    justify-content: space-between;
    
    
}

footer .line-footer {
    padding: 10px;
    
    

}

footer .logo-footer {
    display: inline-block;
    margin-right: 400px;
    
    
}

.borda {
    border-top: 2px solid #985eed;
    margin: 0px;
    
}

footer .line-footer p i {
    color: #985eed;
    font-size: 22px;
    margin: 0px;
    padding: 0px;
    

}

footer .line-footer p a {
    color: #fff;
    margin-left: 10px;
}

.btn-abrir-menu {
    display: none;
}


@media screen and (max-width: 1024px) 



    {
        /* CLASSES GERAIS*/
        .flex {
            flex-direction: column;
        }
        .topo-do-site .flex {
            flex-direction: column-reverse;
        }

        h2.titulo {
          
            font-size: 35px;
            line-height: 30px;
        }
        /*CABEÇALHO*/
        .menu-desktop, .btn-contato
        {
            display: none;
        }
        /* TOPO DO SITE*/


        section.topo-do-site .flex {
            align-items: center;
            justify-content: center;
            gap: 40px;
        }

        section.topo-do-site {
            padding: 20px 8%;
        }
        .topo-do-site h1 {
            font-size: 30px;
            
        }

        .topo-do-site .img-topo-site img {
            width: 90%;
        }


        
        /*ESTILO DAS ESPECIALIDADES*/
        section.especialidades{
            padding: 40px 8%;

}   
    /*SOBRE*/
    section.sobre {
        padding: 80px 8%;
    }

    .sobre .txt-sobre h2 {
        font-size: 34px;
        line-height: 35px;
        text-align: center;
    }
    .btn-social {
        text-align: center;
    }
    .img-sobre img {
        width: 100%;

    }
    /*  PORTIFÓLIO */
    section.portifolio {
        padding: 80px 8%;
    }

    .img-port {
        width: 100%;
        max-width: 360px;
        margin: 0 auto;
        
    }

    section.portfolio .flex {
        gap: 60px ;
    
}
/* RODAPÉ */
footer .flex { 
    flex-direction: column;
    gap: 30px;
}

footer .line-footer {
    text-align: center;
}

.btn-abrir-menu {
    display: block;
}

    }

